/**
  *  \file client/tiles/shiptaskcmd.h
  *  \brief WShipAutoTaskCommandTile tile
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_SHIPTASKCMD_H
#define PCC_V2_CLIENT_TILES_SHIPTASKCMD_H

#include "cpluslib/sigslot.h"
#include "client/wtile.h"

class WShipAutoTaskSelection;

/** Ship Auto Task Command display. Displays the auto task results
    so far. Also offers buttons with auto task commands. */
class WShipAutoTaskCommandTile : public WTile {
    WShipAutoTaskSelection* atsel;
    SignalConnection conn_task_changed;
    ObjectHolder h;

    void init();

 public:
    WShipAutoTaskCommandTile(GObjectSelection& selection);
    ~WShipAutoTaskCommandTile();
    void drawData(GfxCanvas& can);
    void createSetEnemyCommand();
    void createSetFCodeCommand();
    void createSetMissionCommand();
    void createSetSpeedCommand();
    void createWaypointCommand(const char* cmd, bool setWarp);
    void createCargoTransferCommand(const char* title, const char* verb, const char* all);
    bool handleCommand(const UICommand& cmd, UIBaseWidget& sender);
    bool handleEvent(const UIEvent& event, bool second_pass);
};

#endif
