/**
  *  \file client/widgets/helpwidget.cc
  *  \brief WHelpWidget widget
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "client/widgets/helpwidget.h"
#include "client/dialogs/helpdlg.h"

WHelpWidget::WHelpWidget(string_t page)
    : page(page)
{ }

WHelpWidget::~WHelpWidget()
{ }

bool
WHelpWidget::handleEvent(const UIEvent& event, bool second_pass)
{
    if (event.type == ev_Key
        && (event.key.code == ss_Alt + 'h'
            || (second_pass
                && (event.key.code == 'h'
                    || event.key.code == 'H'
                    || event.key.code == SDLK_F1))))
    {
        doHelp(page);
        return true;
    }
    return UIFixedWidget::handleEvent(event, second_pass);
}

void
WHelpWidget::drawContent(GfxCanvas& /*can*/)
{ }
